package ifneeded est2ed 1.0 [format {
  source [file join %s est2ed.tcl]
} [list $dir]]

package ifneeded est2ed-gui 1.0 [format {
  if {($tcl_platform(platform) == "unix") && !($tcl_platform(os) == "Darwin")} { load [file join %s gui.so] gui }
  if {($tcl_platform(platform) == "unix") && ($tcl_platform(os) == "Darwin")} { load [file join %s libgui.dylib] gui }
  if {$tcl_platform(platform) == "windows"} { load [file join %s gui.dll] gui }
} [list $dir] [list $dir] [list $dir]]

package ifneeded est2ed-bdd 1.0 [format {
  if {($tcl_platform(platform) == "unix") && !($tcl_platform(os) == "Darwin")} { load [file join %s bdd.so] bdd }
  if {($tcl_platform(platform) == "unix") && ($tcl_platform(os) == "Darwin")} { load [file join %s libbdd.dylib] bdd }
  if {$tcl_platform(platform) == "windows"} { load [file join %s bdd.dll] bdd }
  source [file join %s bddDialog.tcl]
} [list $dir] [list $dir] [list $dir] [list $dir]]

package ifneeded est2ed-pa 1.0 [format {
  if {($tcl_platform(platform) == "unix") && !($tcl_platform(os) == "Darwin")} { load [file join %s pa.so] pa }
  if {($tcl_platform(platform) == "unix") && ($tcl_platform(os) == "Darwin")} { load [file join %s libpa.dylib] pa }
  if {$tcl_platform(platform) == "windows"} { load [file join %s pa.dll] pa }
  source [file join %s paDialog.tcl]
} [list $dir] [list $dir] [list $dir] [list $dir]]

package ifneeded est2ed-versis 1.0 [format {
  if {($tcl_platform(platform) == "unix") && !($tcl_platform(os) == "Darwin")} { load [file join %s versis.so] versis }
  if {($tcl_platform(platform) == "unix") && ($tcl_platform(os) == "Darwin")} { load [file join %s libversis.dylib] versis }
  if {$tcl_platform(platform) == "windows"} { load [file join %s versis.dll] versis }
  source [file join %s versisDialog.tcl]
} [list $dir] [list $dir] [list $dir] [list $dir]]

package ifneeded est2ed-mc 1.0 [format {
  if {($tcl_platform(platform) == "unix") && !($tcl_platform(os) == "Darwin")} { load [file join %s mc.so] mc }
  if {($tcl_platform(platform) == "unix") && ($tcl_platform(os) == "Darwin")} { load [file join %s libmc.dylib] mc }
  if {$tcl_platform(platform) == "windows"} { load [file join %s mc.dll] mc }
  source [file join %s mcDialog.tcl]
} [list $dir] [list $dir] [list $dir] [list $dir]]

package ifneeded est2ed-strucval 1.0 [format {
  if {($tcl_platform(platform) == "unix") && !($tcl_platform(os) == "Darwin")} { load [file join %s strucval.so] strucval }
  if {($tcl_platform(platform) == "unix") && ($tcl_platform(os) == "Darwin")} { load [file join %s libstrucval.dylib] strucval }
  if {$tcl_platform(platform) == "windows"} { load [file join %s strucval.dll] strucval }
  source [file join %s strucvalDialog.tcl]
} [list $dir] [list $dir] [list $dir] [list $dir]]

package ifneeded est2ed-ccs 1.0 [format {
  if {($tcl_platform(platform) == "unix") && !($tcl_platform(os) == "Darwin")} { load [file join %s ccs.so] ccs }
  if {($tcl_platform(platform) == "unix") && ($tcl_platform(os) == "Darwin")} { load [file join %s libccs.dylib] ccs }
  if {$tcl_platform(platform) == "windows"} { load [file join %s ccs.dll] ccs }
  source [file join %s ccsDialog.tcl]
} [list $dir] [list $dir] [list $dir] [list $dir]]
